Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040945
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajorhave not tried2019-05-24 11:322019-06-13 11:17
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision2a3ed3b5e00e
ProjectionnoneETAnoneTarget VersionRR19Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040945: Merge Delivery Modes module into Web POS module

DescriptionMerge Delivery Modes module into Web POS module
Steps To Reproduce*
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0041006RR19Q3 resolvedaferraz Cross Store Sales project 

-  Notes
(0112121)
hgbot (developer)
2019-05-24 11:39

Repository: erp/pmods/org.openbravo.retail.orderpreparation
Changeset: 6719605a25be92d0e7528918053dda90ea8bc964
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri May 24 11:33:18 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.orderpreparation/rev/6719605a25be92d0e7528918053dda90ea8bc964 [^]

Related to issue 40945: Change dependency from Delivery Modes to Web POS in Order Preparation module

---
M src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
---
(0112206)
hgbot (developer)
2019-05-28 14:06

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2a3ed3b5e00e771b6c6f5e2be23816ed996aebeb
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue May 28 14:04:19 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2a3ed3b5e00e771b6c6f5e2be23816ed996aebeb [^]

Fixes issue 40945: Merge Delivery Modes module into Web POS module

---
M src-db/database/model/modifiedTables/AD_ORG.xml
M src-db/database/model/modifiedTables/C_ORDERLINE.xml
M src-db/database/model/modifiedTables/M_PRODUCT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_FIELDGROUP.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODULE_DBPREFIX.xml
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/OBMOBC_SERVICES.xml
M src/org/openbravo/retail/posterminal/OBPOSComponentProvider.java
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/css/obpos-main.css
M web/org.openbravo.retail.posterminal/js/components/renderorderline.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/model/product.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/scan.js
A src-db/database/sourcedata/AD_MODULE_MERGE.xml
A src/org/openbravo/retail/posterminal/DeferredServiceDelivery.java
A src/org/openbravo/retail/posterminal/master/PaidReceiptDeliveryProperties.java
A src/org/openbravo/retail/posterminal/master/PendingOrderLines.java
A src/org/openbravo/retail/posterminal/master/PendingOrderLinesProperties.java
A src/org/openbravo/retail/posterminal/master/ProductProperty.java
A src/org/openbravo/retail/posterminal/process/DeliveryServiceHQLCriteria.java
A src/org/openbravo/retail/posterminal/process/GoodsShipmentGenerator.java
A src/org/openbravo/retail/posterminal/process/HasDeliveryServices.java
A src/org/openbravo/retail/posterminal/process/IssueSalesOrderLines.java
A src/org/openbravo/retail/posterminal/term/DeliveryModes.java
A src/org/openbravo/retail/posterminal/term/DeliveryPaymentMode.java
A src/org/openbravo/retail/posterminal/term/StoreDocumentTypes.java
A web/org.openbravo.retail.posterminal/img/deliveryServiceReviewed.svg
A web/org.openbravo.retail.posterminal/img/deliveryServiceUnreviewed.svg
A web/org.openbravo.retail.posterminal/js/components/menuissue.js
A web/org.openbravo.retail.posterminal/js/components/modalwarehouseselector.js
A web/org.openbravo.retail.posterminal/js/components/orderlineinfopopup.js
A web/org.openbravo.retail.posterminal/js/components/orderlineinfostandardpopup.js
A web/org.openbravo.retail.posterminal/js/components/orderselector.js
A web/org.openbravo.retail.posterminal/js/hookNewReceipt.js
A web/org.openbravo.retail.posterminal/js/hookPostAddProductToOrder.js
A web/org.openbravo.retail.posterminal/js/hookPostUndo_DeleteLine.js
A web/org.openbravo.retail.posterminal/js/hookPreAddProductWithoutStock.js
A web/org.openbravo.retail.posterminal/js/hookPreDeleteLine.js
A web/org.openbravo.retail.posterminal/js/hookPreOrderSave.js
A web/org.openbravo.retail.posterminal/js/hookPrePayment.js
A web/org.openbravo.retail.posterminal/js/hookPreSetPaymentsToReceipt.js
A web/org.openbravo.retail.posterminal/js/hookRenderOrderLine.js
A web/org.openbravo.retail.posterminal/js/model/dmorderfilter.js
A web/org.openbravo.retail.posterminal/js/model/ordertoissue.js
A web/org.openbravo.retail.posterminal/js/model/ordertoselectorissue.js
A web/org.openbravo.retail.posterminal/js/receiptEdit.js
A web/org.openbravo.retail.posterminal/js/receiptMultiLineEdit.js
A web/org.openbravo.retail.posterminal/js/utils/deliveryModeUtils.js
A web/org.openbravo.retail.posterminal/js/utils/utils.js
---
(0112207)
hgbot (developer)
2019-05-28 14:08

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 0ddb319f897c9b38f74d16cb38e09866c77847e7
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue May 28 14:07:47 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/0ddb319f897c9b38f74d16cb38e09866c77847e7 [^]

Related to issue 40945: Merge Delivery Modes module into Web POS module

---
M referencedata/sampledata/The_White_Valley_Group/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/The_White_Valley_Group/M_PRODUCT.xml
---
(0112208)
hgbot (developer)
2019-05-28 14:12

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: aac704825e52531346e02b8302c98d1b1497c899
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue May 28 14:11:56 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/aac704825e52531346e02b8302c98d1b1497c899 [^]

Related to issue 40945: Merge Delivery Modes module into Web POS module

---
M referencedata/sampledata/Retail_Test/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/Retail_Test/M_PRODUCT.xml
---
(0112271)
hgbot (developer)
2019-05-30 14:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b81ba3cad12cd378e9464a77b0b2729e34ba6bc7
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue May 28 16:53:54 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b81ba3cad12cd378e9464a77b0b2729e34ba6bc7 [^]

Related to issue 40945: Merge Delivery Modes module into Web POS module

---
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/retail/posterminal/DeferredServiceDelivery.java
M web/org.openbravo.retail.posterminal/js/components/modalreceiptproperties.js
M web/org.openbravo.retail.posterminal/js/receiptMultiLineEdit.js
---
(0112327)
hgbot (developer)
2019-05-31 23:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b9666c9b2222c971d2979ada2e6d0629909ad1a3
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu May 30 09:45:01 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b9666c9b2222c971d2979ada2e6d0629909ad1a3 [^]

Related to issue 40945: Merge Delivery Modes module into Web POS module

Hide Issue Sales Order menu entry

---
M web/org.openbravo.retail.posterminal/js/components/menuissue.js
---

- Issue History
Date Modified Username Field Change
2019-05-24 11:32 aferraz New Issue
2019-05-24 11:32 aferraz Assigned To => vmromanos
2019-05-24 11:32 aferraz Triggers an Emergency Pack => No
2019-05-24 11:39 hgbot Checkin
2019-05-24 11:39 hgbot Note Added: 0112121
2019-05-28 14:06 hgbot Checkin
2019-05-28 14:06 hgbot Note Added: 0112206
2019-05-28 14:06 hgbot Status new => resolved
2019-05-28 14:06 hgbot Resolution open => fixed
2019-05-28 14:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2a3ed3b5e00e771b6c6f5e2be23816ed996aebeb [^]
2019-05-28 14:08 hgbot Checkin
2019-05-28 14:08 hgbot Note Added: 0112207
2019-05-28 14:12 hgbot Checkin
2019-05-28 14:12 hgbot Note Added: 0112208
2019-05-28 14:13 aferraz Assigned To vmromanos => aferraz
2019-05-30 14:47 hgbot Checkin
2019-05-30 14:47 hgbot Note Added: 0112271
2019-05-31 23:50 hgbot Checkin
2019-05-31 23:50 hgbot Note Added: 0112327
2019-06-02 20:03 aferraz Relationship added related to 0041006
2019-06-04 09:41 aferraz Target Version => RR19Q3
2019-06-13 11:17 vmromanos Review Assigned To => marvintm


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker